Subject: Re: [clue] WGLC comments on clue-datachannel-07 - Mark's comments

From: Christer Holmberg <[email-masked]>
Date: Mon, 9 Feb 2015 20:05:04 +0000

Hi Mark,

Thanks for your comments!

I agree with your suggestion to make it clear that the text is talking about the CLUE data channel.

Regards,

Christer

From: Duckworth, Mark [mailto:[email-masked]]
Sent: 09 February 2015 22:02
To: Christer Holmberg; [email-masked]
Subject: WGLC comments on clue-datachannel-07

The document looks good, I have only a couple minor suggestions.

draft-ietf-rtcweb-data-channel section 6.4 says each data channel has a priority attribute.  Does this attribute apply to reliable messages, or only unreliable?  I can't find it documented.  If it does not apply to the CLUE data channel, it would be good to say so.

3.3.2 - "A CLUE entity MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758]."  Should this be more specific, in just limiting it for the CLUE data channel, and not limit it for any other WebRTC Data Channels that might be used for other purposes?  Maybe "A CLUE entity MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758], for the CLUE data channel."  Or perhaps more simply "A CLUE data channel MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758]."

3.3.3 - "A CLUE entity MUST use the ordered delivery SCTP service, as described in section 6.6 of [RFC4960]." Same comment as above, should this be limited to just the CLUE data channel?

Regards,
Mark

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 10 Feb 2015 07:51:41 +0000

Hi,

Regarding the priority attribute, my understanding is that it is only applicable to partial reliability (there is no priority flag/parameter in core SCTP, as far as I know).

Assuming my understanding is correct, I don't think we need to say anything, because we already say that partial reliability is not used.

Regards,

Christer

From: clue [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 9. helmikuuta 2015 22:05
To: Duckworth, Mark; [email-masked]
Subject: Re: [clue] WGLC comments on clue-datachannel-07 - Mark's comments

Hi Mark,

Regards,

Christer

From: Duckworth, Mark [mailto:[email-masked]]
Sent: 09 February 2015 22:02
To: Christer Holmberg; [email-masked]<mailto:[email-masked]>
Subject: WGLC comments on clue-datachannel-07

Regards,
Mark

---

From: "Duckworth, Mark" <[email-masked]>
Date: Tue, 10 Feb 2015 06:46:37 -0800

I couldn't find any documentation about how this priority attribute is used.  If it really is for partial reliability only, then I agree with you that the CLUE document doesn't need to say anything more.  But I can't find this stated anywhere in draft-ietf-rtcweb-data-channel or any other draft.  Would it be safer to just say it doesn't apply in the CLUE data channel document?

Mark

From: Christer Holmberg [mailto:[email-masked]]
Sent: Tuesday, February 10, 2015 2:52 AM
To: Duckworth, Mark; [email-masked]
Subject: RE: WGLC comments on clue-datachannel-07 - Mark's comments

Hi,

Regards,

Christer

Hi Mark,

Regards,

Christer

Regards,
Mark

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 10 Feb 2015 16:25:19 +0000

Hi Mark,

I believe the priority is defined in the partial reliability draft. And, afair, the usage is implementation specific.

Regards,

Christer

Sent from my Windows Phone
________________________________
From: Duckworth, Mark<mailto:[email-masked]>
Sent: ‎10/‎02/‎2015 16:46
To: Christer Holmberg<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: WGLC comments on clue-datachannel-07 - Mark's comments

I couldn’t find any documentation about how this priority attribute is used.  If it really is for partial reliability only, then I agree with you that the CLUE document doesn’t need to say anything more.  But I can’t find this stated anywhere in draft-ietf-rtcweb-data-channel or any other draft.  Would it be safer to just say it doesn’t apply in the CLUE data channel document?

Mark

Hi,

Assuming my understanding is correct, I don’t think we need to say anything, because we already say that partial reliability is not used.

Regards,

Christer

Hi Mark,

Regards,

Christer

draft-ietf-rtcweb-data-channel section 6.4 says each data channel has a priority attribute.  Does this attribute apply to reliable messages, or only unreliable?  I can’t find it documented.  If it does not apply to the CLUE data channel, it would be good to say so.

3.3.2 – “A CLUE entity MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758].”  Should this be more specific, in just limiting it for the CLUE data channel, and not limit it for any other WebRTC Data Channels that might be used for other purposes?  Maybe “A CLUE entity MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758], for the CLUE data channel.”  Or perhaps more simply “A CLUE data channel MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758].”

3.3.3 – “A CLUE entity MUST use the ordered delivery SCTP service, as described in section 6.6 of [RFC4960].” Same comment as above, should this be limited to just the CLUE data channel?

Regards,
Mark

---

From: "Duckworth, Mark" <[email-masked]>
Date: Tue, 10 Feb 2015 10:12:58 -0800

Hi Christer,
You are correct, thanks for pointing that out. I found the priority attribute is defined in draft-ietf-tsvwg-sctp-prpolicies.  It is for partial reliability usage, so the CLUE data channel document can ignore it.
Mark

From: Christer Holmberg [mailto:[email-masked]]
Sent: Tuesday, February 10, 2015 11:25 AM
To: Duckworth, Mark; [email-masked]
Subject: RE: WGLC comments on clue-datachannel-07 - Mark's comments

Hi Mark,

Regards,

Christer

Mark

Hi,

Regards,

Christer

Hi Mark,

Regards,

Christer

Regards,
Mark